Subject: [tcpm] draft-abdo-hostid-tcpopt-implementation

From: <[email-masked]>
Date: Thu, 26 Jul 2012 07:23:47 +0000

Hello,

As suggested by the chairs, I'm bringing this subject to the mailing list 
prior to the meeting.

So let me first explain the context and the rationale behind this work. All 
started within intarea WG with RFC6269 that states the issues when addressing 
sharing mechanisms are used. With IPv4 exhaustion, and sharing addresses 
mechanisms being deployed, we're more and more exposed to those issues. In the 
continuity of this work, I-D.intarea-nat-reveal-analysis describes the 
possible solutions to mitigate some encountered issues with its pros and cons. 
The idea is to have a recommendation although for the moment, no consensus 
yet. HOST_ID as a TCP option is one of the studied solutions, 
I-D.abdo-hostid-tcpopt-implementation was presented in behave WG during 
IETF82, but we bring this subject to this WG so TCPM WG is informed about this 
work and to get a feedback.

Tks,
Jaqueline